# Class UnifiedFitsTableWriter.Col

java.lang.Object
uk.ac.starlink.table.StreamStarTableWriter
uk.ac.starlink.fits.AbstractFitsTableWriter
uk.ac.starlink.fits.FitsTableWriter
uk.ac.starlink.votable.UnifiedFitsTableWriter
uk.ac.starlink.votable.UnifiedFitsTableWriter.Col

All Implemented Interfaces:
  `uk.ac.starlink.table.Documented, uk.ac.starlink.table.formats.DocumentedIOHandler, uk.ac.starlink.table.MultiStarTableWriter, uk.ac.starlink.table.StarTableWriter`

Enclosing class:
  `UnifiedFitsTableWriter`

public static class UnifiedFitsTableWriter.Col extends UnifiedFitsTableWriter
Subclass with default configuration but colfits set true.

Since:
  12 Mar 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class UnifiedFitsTableWriter

`UnifiedFitsTableWriter.Col`

### Nested classes/interfaces inherited from class uk.ac.starlink.fits.FitsTableWriter

`uk.ac.starlink.fits.FitsTableWriter.PrimaryType, uk.ac.starlink.fits.FitsTableWriter.VarArrayMode`

## Field Summary

### Fields inherited from class UnifiedFitsTableWriter

`BASIC_PRIMARY_TYPE, NONE_PRIMARY_TYPE, VOTABLE_PRIMARY_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`Col()`

## Method Summary

### Methods inherited from class UnifiedFitsTableWriter

`createVOTablePrimaryType, docIncludesExample, getExtensions, getXmlDescription, looksLikeFile, setColfits, setPrimaryType, setVarArray, toPrimaryTypeInstance`

### Methods inherited from class uk.ac.starlink.fits.FitsTableWriter

`createSerializer, getAllowSignedByte, getPrimaryType, getStoragePolicy, getVarArray, isColfits, setStoragePolicy, writeStarTables`

### Methods inherited from class uk.ac.starlink.fits.AbstractFitsTableWriter

`getAllowZeroLengthString, getConfig, getCurrentDate, getFormatName, getMetadataCards, getMimeType, getPadCharacter, getWide, getWriteDate, setAllowSignedByte, setAllowZeroLengthString, setFormatName, setPadCharacter, setWide, setWriteDate, writePrimaryHDU, writeStarTable, writeStarTables, writeTableHDU`

### Methods inherited from class uk.ac.starlink.table.StreamStarTableWriter

`writeStarTable, writeStarTable`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.formats.DocumentedIOHandler

`readText`

### Methods inherited from interface uk.ac.starlink.table.StarTableWriter

`writeStarTable`

## Constructor Details

### Col

public Col()